KDockWindow Class Reference

`#include <kdockwindow.h>`

Inheritance diagram for KDockWindow:

## Public Member Functions

| KDockWindow (QWidget *parent=0, const char *name=0)
Public Member Functions inherited from KSystemTray
| KSystemTray (QWidget *parent=0, const char *name=0)
KPopupMenu * | contextMenu () const
KActionCollection * | actionCollection ()
virtual void | setPixmap (const QPixmap &icon)
virtual void | setCaption (const QString &title)

## Additional Inherited Members

Public Slots inherited from KSystemTray
void | toggleActive ()
void | setActive ()
void | setInactive ()
Signals inherited from KSystemTray
void | quitSelected ()
Static Public Member Functions inherited from KSystemTray
static QPixmap | loadIcon (const QString &icon, KInstance *instance=KGlobal::instance())
Protected Member Functions inherited from KSystemTray
void | mousePressEvent (QMouseEvent *)
void | mouseReleaseEvent (QMouseEvent *)
virtual void | contextMenuAboutToShow (KPopupMenu *menu)
void | showEvent (QShowEvent *)
void | enterEvent (QEvent *)
virtual void | virtual_hook (int id, void *data)

## Detailed Description

Obsolete system tray support.

Deprecated:
  This class is obsolete, it is provided for compatibility only. Use KSystemTray instead.

Definition at line 32 of file kdockwindow.h.

The documentation for this class was generated from the following file:

- kdockwindow.h

KDE Home | KDE Accessibility Home | Description of Access Keys